// Package lexer implements the lexical analysis stage of the FSPL compiler.
// Its job is to convert text into a series of tokens (lexemes) which are then
// passed to other parts of the compiler to be interpreted into more complex
// data structures. The lexer is able to read in new tokens as needed instead of
// reading them in all at once.
package lexer
