package metaParser

import "testing"

func TestMetadata (test *testing.T) {
testString (test,
// correct
`'5a8353f8-cad8-4604-be60-29a2575996bc'
+ 'io'
+ '../io' customIo`,
// input
`
'5a8353f8cad84604be6029a2575996bc'
+ 'io'
+ '../io' customIo
`)
}

func TestMetadataStrange (test *testing.T) {
testString (test,
// correct
`'5a8353f8-cad8-4604-be60-29a2575996bc'
+ 'io'
+ '../io' customIo`,
// input
`
   '5a8353f8cad84604be6029a2575996bc'
+ 'io'  + '../io'     customIo
`)
}

func TestOnlyUUID (test *testing.T) {
testString (test,
// correct
`'5a8353f8-cad8-4604-be60-29a2575996bc'`,
// input
`
'5a8353f8cad84604be6029a2575996bc'
`)
}
